%define module  py

Summary:        Library with cross-python path, ini-parsing, io, code, log facilities
Name:           python-%{module}
Version:        1.5.2
Release:        2
License:        MIT
Source:		http://pypi.python.org/packages/source/p/py/py-%{version}.tar.gz
Group:          Development/Python
Url:            http://py.readthedocs.org
BuildArch:	noarch
BuildRequires:  python-setuptools
BuildRequires:	python-sphinx
BuildRequires:  python3-setuptools

%description
NOTE: this library is in maintenance mode and should not be used in new code.

The py lib is a development support library featuring these tools and
APIs:

* py.path: uniform local and svn path objects
* py.apipkg: explicit API control and lazy-importing
* py.iniconfig: easy parsing of .ini files
* py.code: dynamic code generation and introspection
     

NOTE: prior to the 1.4 release this distribution used
to contain py.test which is now its own package,
see http://pytest.org

%package -n     python3-%{module}
Summary:        Library with cross-python path, ini-parsing, io, code, log facilities

%description -n python3-%{module}
NOTE: this library is in maintenance mode and should
not be used in new code.

The py lib is a development support library featuring
these tools and APIs:

* py.path: uniform local and svn path objects
* py.apipkg: explicit API control and lazy-importing
* py.iniconfig: easy parsing of .ini files
* py.code: dynamic code generation and introspection
     

NOTE: prior to the 1.4 release this distribution used
to contain py.test which is now its own package,
see http://pytest.org

%prep
%setup -q -n %{module}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

pushd doc
PYTHONPATH=../build/lib make html
rm ./_build/html/.buildinfo
popd

%clean

%files
%doc CHANGELOG LICENSE README.rst doc/_build/html
%{py_puresitedir}/py*

%files -n python3-%{module}
%doc CHANGELOG LICENSE README.rst doc/_build/html
%{py3_puresitedir}/py*

%changelog

* Fri Dec 29 2017 dsilakov <denis.silakov@rosalab.ru> 1.5.2-2
- (47448df) Merge pull request #9 from termim/python-py:rosa2016.1
- (47448df) python-py


